from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRecordableDispatch(XInterface, Protocol):
    def dispatchAndRecord(self, URL: URL, Arguments: PropertyValue>, Recorder: XDispatchRecorder) -> None: ...
